#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin >> t;
    bool gas = true;
    for (int i = 0; i < t; i++)
    {
        int n, m, v;
        cin >> n >> m;
        long long a[n], b[m];
        for (int g = 0; g < n; g++)
        {
            cin >> a[g];
        }
        for (int g = 0; g < m; g++)
        {
            cin >> b[g];
        }
        sort (a, a+n);
        sort (b, b+m);
        long long x;
        if (n == 2)
        {
            x = a[1] - a[0];
        }
        else if (n > 2)
        {
            long long z[n-1];
            for (int g = 0; g < n; g++)
            {
                z[g] = a[n] - a[g];
            }
            for (int g = 0; g < n-1; g++)
            {
                x = __gcd(x, z[g]);
            }
        }
        cout << x;
        cout <<"\n";
    }
    return 0;
}